# Uses of Class
org.apache.sling.discovery.base.connectors.announcement.CachedAnnouncement

Packages that use CachedAnnouncement
Package
Description
org.apache.sling.discovery.base.connectors.announcement
Provides topology announcement implementations for discovery implementors that choose to extend from discovery.base

## Uses of CachedAnnouncement in org.apache.sling.discovery.base.connectors.announcement

Methods in org.apache.sling.discovery.base.connectors.announcement that return types with arguments of type CachedAnnouncement
Modifier and Type
Method
Description
`Collection<CachedAnnouncement>`
AnnouncementRegistry.`listLocalIncomingAnnouncements()`
list all announcements that this instance received (incoming)
`Collection<CachedAnnouncement>`
AnnouncementRegistryImpl.`listLocalIncomingAnnouncements()`